|
Runtime | ||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||
java.lang.Objectorg.eclipse.gef.Request
org.eclipse.gmf.runtime.diagram.ui.requests.EditCommandRequestWrapper
Wraps an edit command request in a GEF request.
| Constructor Summary | |
EditCommandRequestWrapper(IEditCommandRequest editCommandRequest)
Constructs a new request wrapper. |
|
EditCommandRequestWrapper(IEditCommandRequest editCommandRequest,
java.util.Map requestParameters)
Constructs a new request wrapper. |
|
EditCommandRequestWrapper(java.lang.Object requestType,
IEditCommandRequest editCommandRequest)
Constructs a new request wrapper. |
|
EditCommandRequestWrapper(java.lang.Object requestType,
IEditCommandRequest editCommandRequest,
java.util.Map requestParameters)
Constructs a new request wrapper. |
|
| Method Summary | |
IEditCommandRequest |
getEditCommandRequest()
Gets the edit command request. |
java.util.Map |
getExtendedData()
Gets the parameters from the wrapped request. |
void |
setExtendedData(java.util.Map map)
Sets the parameters on the wrapped request. |
| Methods inherited from class org.eclipse.gef.Request |
getType, setType |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
public EditCommandRequestWrapper(IEditCommandRequest editCommandRequest)
editCommandRequest - the edit command request to be wrapped. Must not be
null.
public EditCommandRequestWrapper(IEditCommandRequest editCommandRequest,
java.util.Map requestParameters)
editCommandRequest - the edit command request to be wrapped. Must not be
null.requestParameters - custom request parameters
public EditCommandRequestWrapper(java.lang.Object requestType,
IEditCommandRequest editCommandRequest)
requestType - the request typeeditCommandRequest - the edit command request to be wrapped. Must not be
null.
public EditCommandRequestWrapper(java.lang.Object requestType,
IEditCommandRequest editCommandRequest,
java.util.Map requestParameters)
requestType - the request typeeditCommandRequest - the edit command request to be wrapped. Must not be
null.requestParameters - custom request parameters| Method Detail |
public IEditCommandRequest getEditCommandRequest()
public void setExtendedData(java.util.Map map)
public java.util.Map getExtendedData()
|
Runtime | ||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||
Guidelines for using Eclipse APIs.
Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.